Bug 24642 - Cache::Memcached::Fast::Safe must be marked as mandatory
Summary: Cache::Memcached::Fast::Safe must be marked as mandatory
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: dependency
Depends on: 13193
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-12 14:22 UTC by Jonathan Druart
Modified: 2020-03-18 16:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04


Attachments
Bug 24642: Make Cache::Memcached::Fast::Safe required (1.32 KB, patch)
2020-02-12 14:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24642: Make Cache::Memcached::Fast::Safe required (1.38 KB, patch)
2020-02-12 14:30 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 24642: Make Cache::Memcached::Fast::Safe required (1.44 KB, patch)
2020-02-12 16:22 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-02-12 14:22:54 UTC
There is something wrong between the logic in Koha::Cache->new and our dependencies.

We are having Cache::Memcached required, but Cache::Memcached::Fast::Safe is optional.
However, in Koha::Cache->new we are initializing the Memcached cache only if Cache::Memcached::Fast::Safe is installed.

We could fix the logic in Koha::Cache, but it seems better to make Cache::Memcached::Fast::Safe mandatory (especially after bug 13193).

Note that after bug 13193, you are loosing the Memcached cache, as Cache::Memcached::Fast::Safe will not get installed by default.
Comment 1 Jonathan Druart 2020-02-12 14:26:35 UTC
Created attachment 98755 [details] [review]
Bug 24642: Make Cache::Memcached::Fast::Safe required

There is something wrong between the logic in Koha::Cache->new and our dependencies.

We are having Cache::Memcached required, but Cache::Memcached::Fast::Safe is optional.
However, in Koha::Cache->new we are initializing the Memcached cache only if Cache::Memcached::Fast::Safe is installed.

We could fix the logic in Koha::Cache, but it seems better to make Cache::Memcached::Fast::Safe mandatory (especially after bug 13193).

Note that after bug 13193, you are loosing the Memcached cache, as Cache::Memcached::Fast::Safe will not get installed by default.
Comment 2 Julian Maurice 2020-02-12 14:30:44 UTC
Created attachment 98756 [details] [review]
Bug 24642: Make Cache::Memcached::Fast::Safe required

There is something wrong between the logic in Koha::Cache->new and our
dependencies.

We are having Cache::Memcached required, but
Cache::Memcached::Fast::Safe is optional.
However, in Koha::Cache->new we are initializing the Memcached cache
only if Cache::Memcached::Fast::Safe is installed.

We could fix the logic in Koha::Cache, but it seems better to make
Cache::Memcached::Fast::Safe mandatory (especially after bug 13193).

Note that after bug 13193, you are loosing the Memcached cache, as
Cache::Memcached::Fast::Safe will not get installed by default.

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 3 Martin Renvoize 2020-02-12 16:22:52 UTC
Created attachment 98761 [details] [review]
Bug 24642: Make Cache::Memcached::Fast::Safe required

There is something wrong between the logic in Koha::Cache->new and our
dependencies.

We are having Cache::Memcached required, but
Cache::Memcached::Fast::Safe is optional.
However, in Koha::Cache->new we are initializing the Memcached cache
only if Cache::Memcached::Fast::Safe is installed.

We could fix the logic in Koha::Cache, but it seems better to make
Cache::Memcached::Fast::Safe mandatory (especially after bug 13193).

Note that after bug 13193, you are loosing the Memcached cache, as
Cache::Memcached::Fast::Safe will not get installed by default.

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-02-12 16:24:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Marcel de Rooy 2020-02-24 08:54:57 UTC
Should we add a dependency reference here for Cache::Memcached::Fast::Safe ?
Strange that it is not even mentioned anywhere on the report..
Comment 6 Joy Nelson 2020-03-05 00:55:21 UTC
enhancement - not pushed to 19.11.x  (see notes on 13193)
Comment 7 Joy Nelson 2020-03-05 23:52:47 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 8 Lucas Gass 2020-03-18 16:27:58 UTC
choosing not to backport these to 19.05.x